# dipy_align_syn

## Usage

    dipy_align_syn [OPTIONS] static_image_files moving_image_files

## Input Parameters

- `static_image_files`

  Path of the static image file.

- `moving_image_files`

  Path to the moving image file.

## General Options

- `--prealign_file`

  The text file containing pre alignment information via an affine matrix. (default: )

- `--inv_static`

  Apply the inverse mapping to the static image. (default: False)

- `--level_iters`

  The number of iterations at each level of the gaussian pyramid. (default: (10, 10, 5))

- `--metric`

  The metric to be used. metric available: cc (Cross Correlation), ssd (Sum Squared Difference), em (Expectation-Maximization). (default: cc)

- `--mopt_sigma_diff`

  Metric option applied on Cross correlation (CC). The standard deviation of the Gaussian smoothing kernel to be applied to the update field at each iteration. (default: 2.0)

- `--mopt_radius`

  Metric option applied on Cross correlation (CC). the radius of the squared (cubic) neighborhood at each voxel to be considered to compute the cross correlation. (default: 4)

- `--mopt_smooth`

  Metric option applied on Sum Squared Difference (SSD) and Expectation Maximization (EM). Smoothness parameter, the larger the value the smoother the deformation field. (default 1.0 for EM, 4.0 for SSD) (default: 0.0)

- `--mopt_inner_iter`

  Metric option applied on Sum Squared Difference (SSD) and Expectation Maximization (EM). This is number of iterations to be performed at each level of the multi-resolution Gauss-Seidel optimization algorithm (this is not the number of steps per Gaussian Pyramid level, that parameter must be set for the optimizer, not the metric). Default 5 for EM, 10 for SSD. (default: 0)

- `--mopt_q_levels`

  Metric option applied on Expectation Maximization (EM). Number of quantization levels (Default: 256 for EM) (default: 256)

- `--mopt_double_gradient`

  Metric option applied on Expectation Maximization (EM). if True, the gradient of the expected static image under the moving modality will be added to the gradient of the moving image, similarly, the gradient of the expected moving image under the static modality will be added to the gradient of the static image. (default: True)

- `--mopt_step_type`

  Metric option applied on Sum Squared Difference (SSD) and Expectation Maximization (EM). The optimization schedule to be used in the multi-resolution Gauss-Seidel optimization algorithm (not used if Demons Step is selected). Possible value: (‘gauss_newton’, ‘demons’). default: ‘gauss_newton’ for EM, ‘demons’ for SSD. (default: )

- `--step_length`

  the length of the maximum displacement vector of the update displacement field at each iteration. (default: 0.25)

- `--ss_sigma_factor`

  parameter of the scale-space smoothing kernel. For example, the std. dev. of the kernel will be factor*(2^i) in the isotropic case where i = 0, 1, …, n_scales is the scale. (default: 0.2)

- `--opt_tol`

  the optimization will stop when the estimated derivative of the energy profile w.r.t. time falls below this threshold. (default: 1e-05)

- `--inv_iter`

  the number of iterations to be performed by the displacement field inversion algorithm. (default: 20)

- `--inv_tol`

  the displacement field inversion algorithm will stop iterating when the inversion error falls below this threshold. (default: 0.001)

## Output Options

- `--out_dir`

  Directory to save the transformed files. (default: current directory)

- `--out_warped`

  Name of the warped file. (default: warped_moved.nii.gz)

- `--out_inv_static`

  Name of the file to save the static image after applying the inverse mapping. (default: inc_static.nii.gz)

- `--out_field`

  Name of the file to save the diffeomorphic map. (default: displacement_field.nii.gz)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.